%global eclipse_base %{_libdir}/eclipse
%global install_loc  %{_datadir}/eclipse/dropins/eclemma

Name:      eclipse-eclemma
Version:   1.5.3
Release:   2%{?dist}
Summary:   Java code coverage tool plugin for Eclipse
Group:     Development/Tools
License:   EPL and ASL 2.0
URL:       http://www.eclemma.org

# Source tarball and script used to generate it
# $ sh ./get-eclemma.sh
Source0:   eclemma-%{version}.tar.xz
Source1:   get-eclemma.sh
# Unpack the emma-including plugin so we can symlink to our JAR
Patch0:    %{name}-unjar.patch
Patch1:    %{name}-unjar-2.patch

BuildArch:        noarch
BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:3.4.1
BuildRequires:    emma
Requires:         java
Requires:         jpackage-utils
Requires:         eclipse-jdt >= 1:3.4.1
Requires:         emma
Provides:         eclemma = %{version}-%{release}

%description
EclEmma is a Java code coverage tool for Eclipse based on the EMMA Java
code coverage tool.  Features include launching from within the IDE,
coverage analysis summaries, and highlighting in Java source code
editors.

%prep
%setup -q -n eclemma-%{version}
%patch0

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

pushd com.mountainminds.eclemma.core
%patch1
popd
build-jar-repository -s -p com.mountainminds.eclemma.core emma.jar

%build
%{eclipse_base}/buildscripts/pdebuild

%install
install -d -m 755 %{buildroot}/%{install_loc}
unzip -q -o -d %{buildroot}/%{install_loc} \
  build/rpmBuild/com.mountainminds.eclemma.feature.zip
pushd %{buildroot}/%{install_loc}/eclipse/plugins
#build-jar-repository -s -p com.mountainminds.eclemma.core_%{version} emma.jar
rm com.mountainminds.eclemma.core_%{version}/emma.jar
ln -s ../../../../../../java/emma.jar com.mountainminds.eclemma.core_%{version}
popd

%files
%defattr(-,root,root,-)
%doc com.mountainminds.eclemma.doc/pages/faq.html
%doc com.mountainminds.eclemma.doc/pages/license.html
%doc com.mountainminds.eclemma.core/about.html
%{install_loc}

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 11 2011 Alexander Kurtakov <akurtako@redhat.com> 1.5.3-1
- Update to upstream 1.5.3.

* Wed Apr 27 2011 Alexander Kurtakov <akurtako@redhat.com> 1.5.2-1
- Update to upstream 1.5.2.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5.1-1
- Update to 1.5.1.

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 1.5.0-2
- Push release so that tagging works

* Mon Jul 12 2010 Severin Gehwolf <sgehwolf@redhat.com> 1.5.0-1
- Update to upstream 1.5.0

* Thu Aug 20 2009 Alexander Kurtakov <akurtako@redhat.com> 1.4.2-1
- Update to upstream 1.4.2.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Alexander Kurtakov <akurtako@redhat.com> 1.4.1-1
- Update to new upstream version and updated patch1.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-5
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 03 2008 Andrew Overholt <overholt@redhat.com> 1.3.2-3
- More updates for review (rhbz#444512).
- Add text of Apache license to cover annotations example.

* Wed Dec 03 2008 Andrew Overholt <overholt@redhat.com> 1.3.2-2
- Updates for review (rhbz#444512).

* Thu Oct 16 2008 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-1
- Update to 1.3.2.
- Fix build for eclipse 3.4.

* Fri Apr 25 2008 Andrew Overholt <overholt@redhat.com> 1.3.1-1
- Initial package.
